const path = require('path');
const webpack = require('webpack');
const include = path.resolve(__dirname, '../');

module.exports = {
  resolve: {
    // Add `.ts` and `.tsx` as a resolvable extension.
    extensions: [
      '.webpack.js',
      '.web.js',
      '.ts',
      '.tsx',
      '.js',
      '.json'
    ]
  },
  module: {
    rules: [
      {
        test: /\.(woff|jpg|png|svg)$/,
        use: ['url-loader'],
        include
      },
      {
        test: /\.ts(x?)$/,
        use: ['reshadow/webpack/loader', 'awesome-typescript-loader'],
        include
      },
      {
        test: /\.tsx?$/,
        enforce: 'pre',
        use: [
          {
            loader: 'tslint-loader',
            options: {
              emitErrors: true,
            }
          }
        ]
      }
    ]
  },
  externals: {
    'jsdom': 'window',
    'react/lib/ExecutionEnvironment': true,
    'react/lib/ReactContext': 'window',
    'react/addons': true
  },
  plugins: [new webpack.LoaderOptionsPlugin({
      options: {
        context: path.resolve(__dirname, '..')
      }
    })]
};
