import React, { Component, ComponentClass, InputHTMLAttributes } from 'react';
import { Moment } from 'moment';
import 'moment/locale/ru';
interface IRefs {
    wrapper: any;
}
interface IDatePickerProps {
    value: string;
    format: string;
    displayFormat: string;
    name: string;
    onChange: (value: string, name: string) => void;
    time: string;
    months: boolean;
    input: ComponentClass<InputHTMLAttributes<any>, any>;
}
interface IDatePickerState {
    displayValue: string;
    prevValue: string;
    date: Moment;
    opened: boolean;
    daysOpened: boolean;
    monthsOpened: boolean;
    yearsOpened: boolean;
    yearOfSelected: number;
}
export declare class DatePicker extends Component<IDatePickerProps, IDatePickerState> implements IRefs {
    static defaultProps: {
        onChange: (..._: any) => any;
        format: string;
    };
    constructor(props: any, ...args: any[]);
    static getDerivedStateFromProps(props: any, state: any): {
        displayValue: string;
        prevValue: any;
    };
    wrapper: React.RefObject<unknown>;
    private closeDatePicker;
    private openDatePicker;
    private onChangeHandler;
    private setDay;
    private setMonth;
    private openMonths;
    private setYear;
    private clickAtYears;
    private renderDayPicker;
    private renderYearPicker;
    private renderMonthPicker;
    render(): JSX.Element;
}
export {};
