import React, { Component } from 'react';
export interface IInputProps {
    onFocus?: (event: React.SyntheticEvent) => void;
    onBlur?: (event: React.SyntheticEvent) => void;
    onChange?: (value: string, name: string) => void;
    value?: string;
    name: string;
    multiline?: boolean;
    placeholder?: string;
    type?: 'text' | 'email' | 'password' | 'number';
    label?: string;
    flat?: boolean;
    joined?: 'top' | 'left' | 'bottom' | 'right';
    error?: string;
    rows?: number;
}
export declare class Input extends Component<IInputProps, any> {
    static defaultProps: {
        onChange: () => any;
        onBlur: () => any;
        onFocus: () => any;
    };
    state: {
        value: string;
        prevValue: string;
        active: boolean;
    };
    static getDerivedStateFromProps(props: any, state: any): {
        value: any;
        prevValue: any;
        active: boolean;
    };
    private onChange;
    private onFocus;
    private onBlur;
    render(): JSX.Element;
}
