import React, { ComponentType } from 'react';
declare type IFromRegistryComponent<T> = ComponentType<T> & {
    fromRegistry: boolean;
    rawComponent?: ComponentType<T>;
};
declare class Registry {
    private name;
    private map;
    constructor(name: string);
    register(name: string, component: ComponentType): ComponentType;
    registerAll(componentsMap: {
        [key: string]: ComponentType;
    }): void;
    setAll(componentsMap: {
        [key: string]: ComponentType;
    }): void;
    get<T>(name: string): ComponentType<T>;
    getAll(): {
        [key: string]: React.ComponentType<{}>;
    };
}
export declare const createRegistry: (name: string, components?: {
    [key: string]: React.ComponentType<{}>;
}, parent?: Registry) => Registry;
export interface IRegistryContext {
    registry?: Registry;
}
export declare const RegistryProvider: ({ registry, children }: {
    registry: any;
    children: any;
}) => JSX.Element;
export declare const registry: Registry;
export declare const useRegistry: () => Registry;
export declare function fromRegistry<T>(name: string): IFromRegistryComponent<T>;
export {};
