import React from 'react';
import {defaultTheme} from './themes/default';
import {ThemeProvider as StyledProvider} from 'styled-components';

export const ThemeProvider = ({theme, children}) => {
  return (
    <StyledProvider theme={theme || defaultTheme}>
      {children}
    </StyledProvider>
  );
};

const getComponentTheme = (levels = [], theme) => {
  return levels.reduce((theme, level) => {
    return {
      ...theme,
      ...theme.components[level],
    };
  }, theme);
};

export const ThemeConsumer = ({component, children}) => {
  const levels = Array.isArray(component) ? component : [component];

  return (
    <StyledProvider theme={getComponentTheme.bind(null, levels)}>
      {children}
    </StyledProvider>
  );
};
