import React from 'react';
import styled, {StyledComponentClass} from 'styled-components';
import {ThemeConsumer} from '../../ThemeProvider';

const AvatarComponent: StyledComponentClass<any, any> = styled.img.attrs({
    src: ({icon}) => icon,
  })`
  border-radius: 50%;
  width: ${({small, theme}) => small ? theme.size.secondary : theme.size.primary};
  height: ${({small, theme}) => small ? theme.size.secondary : theme.size.primary};
  padding: ${({padding, theme}) => padding ? theme.padding : '0'};
`;

export const Avatar = (props) => (
  <ThemeConsumer component="avatar">
    <AvatarComponent {...props}/>
  </ThemeConsumer>
);
