import React from 'react';
import {storiesOf} from '@storybook/react';
const {Button} = require('./Button');
import {ThemeProvider} from 'styled-components';
import {defaultTheme} from '../../themes/default';

storiesOf('Button', module)
  .add('Обычная кнопка', () => (
    <ThemeProvider theme={defaultTheme}>
      <Button>Hello!</Button>
    </ThemeProvider>
  ))
  .add('Акцентная кнопка', () => (
    <ThemeProvider theme={defaultTheme}>
      <Button primary>Hello!</Button>
    </ThemeProvider>
  ))
  .add('Успешная кнопка', () => (
    <ThemeProvider theme={defaultTheme}>
      <Button success>Hello!</Button>
    </ThemeProvider>
  ))
  .add('Опасная кнопка', () => (
    <ThemeProvider theme={defaultTheme}>
      <Button danger>Hello!</Button>
    </ThemeProvider>
  ));
