import React, {Component} from 'react';
import styled from 'styled-components';

const ChooseTime = styled.div`
  display: flex;
  justify-content: space-between;
  align-content: center;
  width: 240px;
  padding-top: 5px;
`;

const TimeInputs = styled.div`
  flex-grow: 2;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: center;
`;

const Time = styled.span`
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 22px;
  margin: 0 7px 0;
`;

const TimeInput = styled.input`
  width: 100%;
  user-select: none;
`;

export class ChooseTimeBlock extends Component<any, any> {
  public render() {
    const {date, onHoursChangeHandler, onMinutesChangeHandler} = this.props;

    return (
      <ChooseTime>
        <Time>
          {date.format('HH')}
          :
          {date.format('mm')}
        </Time>
        <TimeInputs>
          <TimeInput
            type="range"
            min={0}
            max={23}
            step={1}
            value={date.hour()}
            tabIndex={-1}
            onChange={onHoursChangeHandler}
          />
          <TimeInput
            type="range"
            min={0}
            max={59}
            step={1}
            value={date.minute()}
            tabIndex={-1}
            onChange={onMinutesChangeHandler}
          />
        </TimeInputs>
      </ChooseTime>
    );
  }
}
