import React from 'react';
import {storiesOf} from '@storybook/react';

const {DatePicker} = require('./DatePicker');
const {Input} = require('../Input/Input');
import {ThemeProvider} from '../../ThemeProvider';

storiesOf('DatePicker', module)
  .add('Обычный календарь', () => (
    <div>
      <ThemeProvider>
        <DatePicker input={Input} displayFormat="DD.MM.YY" format="DD-MM-YYYY"/>
      </ThemeProvider>
    </div>
  ))
  .add('С выбором времени', () => (
    <div>
      <ThemeProvider>
        <DatePicker input={Input} format="DD.MM.YY HH:mm" time/>
      </ThemeProvider>
    </div>
  ))
  .add('Месячный календарь', () => (
    <div>
      <ThemeProvider>
        <DatePicker input={Input} format="MMMM, YYYY" months/>
      </ThemeProvider>
    </div>
  ));