import React, {StatelessComponent} from 'react';

export interface IIconButtonProps {
  icon: string;
  light?: boolean;
  [key: string]: any;
  onClick?();
  disabled?: boolean;
  buttonBig?: boolean;
}

const noop = () => null;

export const IconButton: StatelessComponent<IIconButtonProps> = (props) => {
  const {onClick = noop, disabled} = props;
  return (
    <button
      disabled={disabled}
      onClick={disabled ? null : onClick}
    >
      {/* <img value={icon} secondary={disabled} {...iconProps}/> */}
    </button>
  );
};
