import styled from 'styled-components';
import { Align } from '../Align/Align';
import { registry, fromRegistry } from '../../core';

export const SubMenu = styled.div`
  position: absolute;
  top: 100%;
  background-color: #ffffff;
  width: 100%;
  padding: 12px;
  left: 0;
`;

export interface IMenuItem {
  [key: string]: any;
}

registry.register('MenuItem', styled(Align)`
  padding: 0 20px;
  height: 100%;
  cursor: pointer;
  position: relative;

  :hover {
    background-color: rgba(0,0,0,0.08);
  }
`);

export const MenuItem = fromRegistry<IMenuItem>('MenuItem');

export interface IMenu {
  [key: string]: any;
}

registry.register('Menu', styled.nav`
  display: flex;
  height: 100%;
  position: relative;
`);

export const Menu = fromRegistry<IMenu>('Menu');
