import styled from 'styled-components';

const getJustificationByProps = ({center, spaceBetween, spaceAround}) => {
  switch (true) {
    case center:
      return 'center';
    case spaceBetween:
      return 'space-between';
    case spaceAround:
      return 'space-around';
    default:
      return 'flex-start';
  }
};

export const Row = styled.div`
  display: flex;
  height: ${({fluid}) => fluid ? '100%' : 'auto'};
  width: ${({fluid}) => fluid ? '100%' : 'auto'};
  flex-direction: row;
  align-items: ${({middle}) => middle ? 'center' : 'flex-start'};
  justify-content: ${(props) => getJustificationByProps(props)};
  flex-wrap: ${({nowrap}) => nowrap ? 'nowrap' : 'wrap'};
  text-align: ${({center}) => center ? 'center' : 'left'};
`;
