import React from 'react';
import {storiesOf} from '@storybook/react';
import {Tooltip} from './Tooltip';
import {ThemeProvider} from '../../ThemeProvider';

storiesOf('Tooltip', module)
  .add('default', () => {
    return (
      <ThemeProvider>
        <Tooltip active={true} content="tooltip content">
          <div>
            HELLO
          </div>
        </Tooltip>
      </ThemeProvider>
    );
  })
  .add('LEFT', () => {
    return (
      <ThemeProvider>
        <div style={{marginLeft: '300px'}}>
          <Tooltip active={true} direction="left" content="tooltip content">
            <div>
              HELLO
            </div>
          </Tooltip>
        </div>
      </ThemeProvider>
    );
  });