import React from 'react';
import styled, {StyledComponentClass} from 'styled-components';
import {ThemeConsumer} from '../../ThemeProvider';

const Outer: StyledComponentClass<any, any> = styled.div`
  width: 100%;
  background-color: ${({theme}) => theme.color.header};
  height: ${({theme}) => theme.size};
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.03);
`;

const Inner: StyledComponentClass<any, any> = styled.div`
  max-width: ${({fluid}) => fluid ? '100%' : '1024px'};
  box-sizing: border-box;
  background-color: ${({theme}) => theme.color.header};
  height: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
`;

export const TopBar = ({children, fluid, className}) => {
  return (
    <ThemeConsumer component="topbar">
      <Outer className={className}>
        <Inner fluid={fluid}>
          {children}
        </Inner>
      </Outer>
    </ThemeConsumer>
  );
};
