import {ITheme, Color} from './Theme';

export const defaultTheme: ITheme = {
  color: {
    primary: new Color('#6777ef', '#394eea'),
    primaryIcon: '#fff',
    secondaryIcon: '#333333',
    ratingIcon: '#ffa500',
    secondary: new Color('#f3f3f3', '#f0f0f0'),
    danger: new Color('#f81c3d'),
    success: new Color('#50cc50'),
    disabled: '#b7bcc8',
    border: '#e4e6fc',
    text: '#333333',
    placeholder: '#898e99',
    textSecondary: '#999999',
    background: '#ffffff',
    backgroundSecondary: '#f0f0f0',
    get header() {
      return this.background;
    },
  },
  font: {
    control: '14px',
    element: '14px',
    family: 'OpenSans, sans-serif',
    lineHeight: 1,
  },
  padding: {
    control: '16px',
    element: '21px',
    item: '10px',
  },
  shadow: {
    control: '0 2px 6px #999999',
  },
  border: {
    control: '1px solid #e4e6fc',
  },
  components: {
    topbar: {
      size: '80px',
    },
    space: {
      tiny: '3px',
      small: '6px',
      normal: '12px',
      large: '24px',
      huge: '48px',
    },
    checkbox: {
      size: '20px',
      margin: '0 8px 0 0',
      border: {
        radius: '4px',
      },
    },
    avatar: {
      size: {
        primary: '100px',
        secondary: '40px',
      },
      padding: '15px',
    },
  },
};
